#include <iostream>
#include <bits/stdc++.h>

using namespace std;
int a[1000001];
int b[2000010]={0};

int main()
{
   int n,k;
   cin>>n>>k;
   for(int i=0;i<n;i++)
   {
       cin>>a[i];
   }
       int br=0;
    string s="";

       for(int i=0;i<n;i++)
       {
           b[n+a[i]]++;
       }
       for(int i=0;i<2*n;i++)
       {
           if(b[i]>=k){
                br++;
            s=s+to_string(i-n)+" ";
           }
       }
    cout<<br<<endl;
       cout<<s<<endl;
}